Page MenuHomePhabricator

What is the license?
Closed, ResolvedPublic

Description

The "LICENCE" file states that it is LGPL-3.0+ while the "skin.json" and "composer.json" state it is GPL-3.0+

Event Timeline

Kghbln created this task.May 30 2016, 4:05 PM
Restricted Application added a subscriber: Zppix. · View Herald TranscriptMay 30 2016, 4:05 PM

Looking at https://github.com/Brickimedia/Refreshed the "LICENCE" file contains the text of the GNU GPL v3, the "COPYING" file contains the text of the GNU GPL v2, "composer.json" and "skin.json" read "GPL-2.0+"...

Kghbln added a comment.EditedMay 31 2016, 1:02 PM

Oops, was the COPYING file there yesterday. Obviously. Probably I was in a rush. :( So deleting the LICENSE file could be the solution though the license would be GPL-2.0+ in this case.

ashley added a subscriber: ashley.Jun 1 2016, 2:09 AM

I'm okay with whatever FOSS license; that being said, I was always under the impression that Refreshed was/is GPLvSomething.

@codynguyen1116 I saw this commit, which I assume is related to this task? You should commit that to the new/current main Refreshed repo, mediawiki/skins/Refreshed on git.wikimedia.org (this one). We should then phase out that particular GitHub repo altogether, because all git.wikimedia.org repos are automatically mirrored on GitHub; Refreshed's mirror can be found at https://github.com/wikimedia/mediawiki-skins-Refreshed/tree/master (although it does puzzle me that REL1_23 instead of master is the default branch for that repo, but I assume that can be changed somehow somewhere in gerrit or whatever).

Legoktm added a subscriber: Legoktm.Jun 1 2016, 2:32 AM

although it does puzzle me that REL1_23 instead of master is the default branch for that repo, but I assume that can be changed somehow somewhere in gerrit or whatever

Fixed.

Sorry guys! License is pretty inconsistent through the whole MediaWiki skin, I will fix the following four files in an actual upstream commit to the ''actual'' repo tomorrow which is when I have time :) (btw @ashley thanks for the tip!)

SamanthaNguyen moved this task from Backlog to Refreshed on the Brickimedia board.Jun 3 2016, 3:31 AM
Restricted Application added a subscriber: MacFan4000. · View Herald TranscriptJun 3 2016, 10:47 PM
MacFan4000 closed this task as Resolved.Jul 11 2016, 4:52 PM
MacFan4000 triaged this task as Medium priority.
MacFan4000 added a subscriber: SamanthaNguyen.
SamanthaNguyen reopened this task as Open.Sep 19 2016, 2:15 AM

This hasn't been resolved, re-opening

Change 329060 had a related patch set uploaded (by SamanthaNguyen):
Making licensing consistent throughout repo

https://gerrit.wikimedia.org/r/329060

Change 329060 merged by Jack Phoenix:
Making licensing consistent throughout repo

https://gerrit.wikimedia.org/r/329060

SamanthaNguyen closed this task as Resolved.Dec 28 2016, 3:42 AM
SamanthaNguyen removed a project: Patch-For-Review.
Kghbln added a comment.Jan 3 2017, 8:14 PM

Thanks a lot for working on this and clarifying!

Kghbln awarded a token.Jan 3 2017, 8:14 PM